variables:
  AWS_BUILD_SUBDIR: provider/partition-aws/build-aws
  AWS_TEST_SUBDIR: testing/partition-test-aws
  AWS_SERVICE: partition
  AWS_ENVIRONMENT: dev
  AWS_DEPLOY_TARGET: EKS
  AWS_EKS_DEPLOYMENT_NAME: os-partition

  AZURE_SERVICE: partition
  AZURE_BUILD_SUBDIR: provider/partition-azure
  AZURE_TEST_SUBDIR: testing/partition-test-azure

  IBM_BUILD_SUBDIR: provider/partition-ibm
  IBM_INT_TEST_SUBDIR: testing/partition-test-ibm

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa-maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws-global.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws-maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/osdu-gcp-global.yml"

  - local: "devops/gcp/pipeline/override-stages.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "publishing/pages.yml"
